
From: Pratik Solanki <pratik.solanki@timesys.com>

- Fix include path for build.c so that it finds asm/boot.h. 
  /usr/include/asm/boot.h may not be present when cross-compiling on a
  non-Linux machine.

- $(CONFIG_SHELL) instead of sh.



---

 25-akpm/arch/i386/boot/Makefile |    2 ++
 25-akpm/init/Makefile           |    2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

diff -puN arch/i386/boot/Makefile~cross-compilation-fixes arch/i386/boot/Makefile
--- 25/arch/i386/boot/Makefile~cross-compilation-fixes	Mon Feb  9 11:34:04 2004
+++ 25-akpm/arch/i386/boot/Makefile	Mon Feb  9 11:34:04 2004
@@ -31,6 +31,8 @@ subdir- 	:= compressed
 
 host-progs	:= tools/build
 
+HOSTCFLAGS_build.o := -Iinclude
+
 # ---------------------------------------------------------------------------
 
 $(obj)/zImage:  IMAGE_OFFSET := 0x1000
diff -puN init/Makefile~cross-compilation-fixes init/Makefile
--- 25/init/Makefile~cross-compilation-fixes	Mon Feb  9 11:34:04 2004
+++ 25-akpm/init/Makefile	Mon Feb  9 11:34:04 2004
@@ -23,4 +23,4 @@ $(obj)/version.o: include/linux/compile.
 
 include/linux/compile.h: FORCE
 	@echo '  CHK     $@'
-	@sh $(srctree)/scripts/mkcompile_h $@ "$(UTS_MACHINE)" "$(CONFIG_SMP)" "$(CC) $(CFLAGS)"
+	@$(CONFIG_SHELL) $(srctree)/scripts/mkcompile_h $@ "$(UTS_MACHINE)" "$(CONFIG_SMP)" "$(CC) $(CFLAGS)"

_
